=== debian/control ===
Source: ros-dashing-nav2-dynamic-params
Section: misc
Priority: extra
Maintainer: Brian Wilcox <brian.wilcox@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-launch, ros-dashing-launch-testing, ros-dashing-nav2-common, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-nav2-dynamic-params
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-ros-workspace
Description: This package provides a validation class for ROS2 parameters with validation based on parameter type and defined bounds.
 Support for custom validation callbacks is also provided. Some useful convenience functions for event callbacks are also provided
